﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using EF_CodeFirst_Delete_MVC_Core.Models;
using Microsoft.AspNetCore.Mvc;

namespace EF_CodeFirst_Delete_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(Customers customer)
        {
            using (CodeFirstContext context = new CodeFirstContext())
            {
                Customers deletedCustomer = (from c in context.Customers
                                             where c.CustomerId == customer.CustomerId
                                             select c).FirstOrDefault();

                if (deletedCustomer != null)
                {
                    context.Customers.Remove(deletedCustomer);
                    context.SaveChanges();
                    ViewBag.Message = "Customer record deleted.";
                }
                else
                {
                    ViewBag.Message = "Customer not found.";
                }
            }

            return View(customer);
        }
    }
}